#include <stdio.h>
#include <iostream.h>
#include "dwt.h"

int main(int argc,char** argv) {
  if(argc!=6) {
    cout << "Usage: enc type #transforms rate infile outfile" << endl;  
    return -1;
  }
  char* type = argv[1];
  int no=atoi(argv[2]);
  char* infile = argv[4];
  char* outfile = argv[5];
  double rate=strtod(argv[3],NULL);

  dwt d;
  d.readfilter(type);
  d.readpgm(infile);
  d.transform(no);
  d.compress(rate);
  d.bzwritetrans(outfile,type);
  return 0;
}

