#ifndef MY_MATRIX_H
#define MY_MATRIX_H

#include<iostream>
#include<vector>
#include<string>
#include<fstream>
#include<cmath>

class matrix {

 public:

  double* A;
  int columns,rows; 
  matrix(int c,int r); 
  void readpgm(char*);  
  void writepgm(char*);
  void crop(int);
  matrix(void); 
  matrix* mult(matrix,matrix); 
  double get(int,int); 
  void set(int,int,double);

 private:

  double max();
  double min();
  double partzero(void);
};

#endif
