#ifndef DWT_H
#define DWT_H

#include<iostream>
#include<stdio.h>
#include<vector>
#include<string>
#include<fstream>
#include<cmath>
#include "matrix.h"
#include<zlib.h>
#include<bzlib.h>

class dwt : public matrix {

  int no_of_trans;
  int filterlength;
  double filterh[20];
  double filterg[20];
  double filterhinv[20];
  double filterginv[20];

 public:

  void readfilter(char*);  
  void transform(int);
  void itrans();
  void compress(double);
  void bzwritetrans(char*,char*);
  void bzreadtrans(char*,char*);

 private:
  void transrows(int);
  void transcolumns(int);
  void itransrows(int);
  void itranscolumns(int);
  void trans1dim(double*,int);
  void itrans1dim(double*,int);
  
};

#endif
